#pragma once
#include "levelmanager.hpp"
#include "textures.hpp"
#include "guecs.hpp"

namespace gui {
  class MapViewUI {
    public:
      guecs::UI $gui;
      guecs::UI $grid;
      GameLevel $level;

      MapViewUI(GameLevel &level);
      void init();
      void render(sf::RenderWindow &window);
      void update_level(GameLevel &level);
  };
}
